return {
	'feline-nvim/feline.nvim',
	-- lazy = false
	-- event = 'UIEnter',
	-- event = 'VeryLazy',
	dependencies = {
		'nvim-tree/nvim-web-devicons',
	},
	config = function()
		local feline = require 'feline'
		local utils = require 'config.utils'
		local c = utils.feline_c
		local theme = utils.feline_theme
		local vi_mode_colors = utils.feline_vi_mode_colors

		local left = {
			c.vim_mode,
			c.file_info,
			-- c.gitBranch,
			-- c.gitDiffAdded,
			-- c.gitDiffRemoved,
			-- c.gitDiffChanged,
			-- c.separator,
			c.diagnostic_errors,
			c.diagnostic_warnings,
			c.diagnostic_info,
			c.diagnostic_hints,
		}

		local middle = {
			c.lsp_client_names,
			c.separator,
		}

		local right = {
			c.file_type,
			c.search_count,
			c.macro,
			c.file_encoding,
			c.position,
			c.line_percentage,
			c.scroll_bar,
		}

		local components = {
			active = {
				left,
				middle,
				right,
			},
			inactive = {
				left,
				middle,
				right,
			},
		}

		feline.setup {
			components = components,
			theme = theme,
			vi_mode_colors = vi_mode_colors,
		}
	end,
}
